//////////////////////////////////////////
// BatchGood.cpp
//Copyright (c) 12/24/2021 by BCCSkelton
//////////////////////////////////////////
#include	"BatchGood.h"
//☆ユーザー定義へーッダーファイルを取り込む
#include	"User.h"
#include	"BatchGoodProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	//ファイル引数付きで起動する場合（g_ByFileフラグを立てる）
	if(Arg.c() > 1)
		g_ByFile = TRUE;

	//２重起動防止
	if(!BatchGood.IsOnlyOne()) {
		//ここに２重起動時の処理を書く（下記は１例）
		HWND hWnd = FindWindow(NULL, "BatchGood");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		return 0L;
	}
	//モードレスダイアログを作成Create(hParent, DlgName, DlgProc);
	if(!BatchGood.Create(NULL, hInstance, "IDD_MAIN", BatchGoodProc))
		return 0L;

	//メッセージループに入る
	return BatchGood.Loop();
}
